【IOVISSUE-7262】【VC1】【质量】【副屏】副屏控制器按OK按钮需要多次点击才可以打开相册
2023-05-22 21:39 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-22

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 无

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

问题描述】：【VC1】【质量】【副屏】副屏控制器按OK按钮需要多次点击才可以打开相册

【前置条件】：车辆上电P档状态

【软件环境】：EE

【软件版本】：IDCM 03.02.0080.C101

【提报人】：王林辉

【操作步骤】：1.点击副屏，使用副屏控制器按OK打开相册

【预期结果】：1.点击一次就可以打开相册

【实际结果】：1.需要多次点击才可以打开相册

【问题频率】：偶发

【实车VN】：LJD8BC3F7P0000701

【发生时间】：2023/5/20 10：35

【数采仪】： 0300124

History

#1 - 2023-05-23 10:30 - CD APP-王营

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王营 to CDTS_TEST 王成

【当前状态】

开发无法复现此问题，票上未提供log

【下一步】

1、请确认此问题是必现还是偶现

2、提供复现步骤

3、提供bug出现时的log

#2 - 2023-05-23 10:32 - CD APP-王营

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD APP-王营

#3 - 2023-05-23 10:32 - CD APP-王营

飞书私信提供了log

2025-07-04 1/2



#4 - 2023-05-23 17:34 - CD FW-程天颖

- File screenshot-20230523-173222.png added

#5 - 2023-05-23 17:53 - CD FW-程天颖

- File deleted (screenshot-20230523-173222.png)

#6 - 2023-05-24 15:55 - CD APP-王营

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

【当前状态】

根据视频和log初步分析完毕

【分析】

1、right事件发送后，相册获取到焦点，结合视频来看时间点为10：35：56，对应log如下

05-20 10:35:56.491  2252 21023 D RemoteControlService: After desEncrypt json is [{"type":"right","source":0,"token":"vcdlwJxpFEGuQTQ","value":"click"}]

视频第11秒时间变为10：36，紧接着测试人员开始点击“OK”键，第一次点击视频为第13秒，推算log时间点为10：36：02

2、log中副屏第一次接收到“OK”时间点为10:36:12，具体log如下

05-20 10:36:12.800  2252 21064 D RemoteControlService: After desEncrypt json is [{"type":"ok","source":0,"token":"vcdlwJxpFEGuQTQ","value":"click"}]

05-20 10:36:13.013  2252 21070 D RemoteControlService: After desEncrypt json is [{"type":"ok","source":0,"token":"vcdlwJxpFEGuQTQ","value":"click"}]

视频第25秒，相册被打开，由此可知，相册的打开是响应了后面两次的“OK”事件，而36：12秒之前中控未向副屏发送OK事件。

结论：副屏响应事件是正常的，需要中控排查为什么前几个点击事件没有发送给副屏

【下一步】

1、需要测试确认测试手法，是不是大拇指的点击没有被中控的屏幕识别到？最后两次换了手指OK事件正常传递过来。

2、如果前几次点击正常，需要中控遥控器排查为什么事件没有发送给副屏。

#7 - 2023-05-25 18:05 - CDTS_Test 吴诗雨

已同步，待客户测试确认

#8 - 2023-05-30 15:35 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

客户已确认中控系统未收到点击事件，具体原因分析中

#9 - 2023-05-30 15:35 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#10 - 2023-05-30 15:35 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

video_1684579301.mp4 4.43 MB 2023-05-22 CDTS_TEST 王成
